%global snapshot e000f355b658fdac0038358e9a67f86c9b498c7b
%global YYYYmmdd 20120627
%global shorttag %(cut -c 1-7 <<<%{snapshot})
%global checkout %{YYYYmmdd}git%{shorttag}

Name:           java-deptools
Version:        0
Release:        0.16.%{checkout}%{?dist}
Summary:        Java RPM dependency tools
Group:          Development/Tools
BuildArch:      noarch

License:        ASL 2.0
URL:            http://git.fedorahosted.org/git/?p=java-deptools.git
Source0:        http://git.fedorahosted.org/git/?p=java-deptools.git;a=snapshot;h=%{snapshot};sf=tbz2;foo=/%{name}-%{shorttag}.tar.bz2

BuildRequires:  maven-local
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-lang
BuildRequires:  bcel
BuildRequires:  xz-java

%description
This package provides tools for tracking dependencies
between Java packages in RPM-based distributions.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{shorttag}

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%{jpackage_script                                                \
\${JAVA_DEPTOOLS_DATABASE:+-z="\${JAVA_DEPTOOLS_DATABASE}"}      \
\-ea                                                             \
org.fedoraproject.javadeptools.Main                              \
java-deptools:commons-cli:commons-compress:commons-lang:bcel:xz-java  \
java-deptools                                                    \
true                                                             \
}

%files -f .mfiles
%doc LICENSE NOTICE
%{_bindir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0-0.9.20120627gite000f35
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jan 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.8.20120627gite000f35
- Build with xmvn

* Fri Sep 21 2012 Ismael Olea <ismael@olea.org> - 0-0.7.20120627gite000f35
- fixed jpackage_script conf

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.5.20120627gite000f35
- Add shell script in bindir

* Wed Jun 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.4.20120627gite000f35
- Update to the latest upstream snapshot

* Tue Jun 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.3.20120626git9801c21
- Update to the latest upstream snapshot

* Fri Jun 22 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.2.20120621git2a6a72d
- Reformat changelog

* Thu Jun 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.1.20120621git2a6a72d
- Initial packaging
